.markets {
  display: flex;
  right: 0;
}

.markets > .toggle-martkets {
  background: var(--markets-toggle-background);
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: var(--header-color);
  font-size: .9rem;
}

.markets > .toggle-martkets > i {
  padding: 4px;
}

.markets > .toggle-martkets > div {
  writing-mode: vertical-rl;
  text-transform: uppercase;
}

.markets > .content {
  background: var(--markets-content-background);
  display: flex;
  flex-direction: column;
}

.markets > .content > .header {
  background: var(--markets-header-background);
  padding: 8px 15px;
}

.markets > .content > .markets-container {
  flex: 1;
  white-space: nowrap;
  overflow-y: auto;
}

.markets > .content > .market-chart,
.markets > .content > .header {
  white-space: nowrap;
}

@media screen and (max-width: 768px) {
  .markets {
    flex-direction: column;
    padding: 0 15px 15px 15px;
  }

  .markets > .content {
    width: auto;
  }
}

@media screen and (min-width: 768px) {
  .markets {
    height: 100%;
    position: fixed;
    z-index: 100;
  }

  .markets > .content {
    animation: hideMarketsSidebar .5s ease forwards;
  }

  .markets:not(.active) > .content * {
    display: none;
  }

  .markets.active > .content {
    animation: showMarketsSidebar .5s ease forwards;
  }
}

@media screen and (min-width: 1024px) {
  .markets {
    position: absolute;
  }
}
